[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Variants' (#rtl)

# VarResultCheck

Check the result of an operation and raise exception if not OK.

## Declaration

Source position: variants.pp line 312

`procedure VarResultCheck(`
`AResult: HRESULT`
`); procedure VarResultCheck(`
`AResult: HRESULT;`
`ASourceType: tvartype;`
`ADestType: tvartype`
`);`

## Arguments

`AResult` |  | Result code to check

## Arguments

`AResult` |  | Result code to check
`ASourceType` |  | Source variant type
`ADestType` |  | Destination variant type

## Description

VarResultCheck checks the result aResult. If it difers from VAR_OK then an appropriate exception is raised based on the error code. If a source and destination type ASourceType and aDestType are specified they are included in the error message.

## See also

VarOverflowError |  | Raise an EVariantOverflowError error.
VarInvalidNullOp |  | Raise an EVariantInvalidOpError error
VarInvalidOp |  | Raise a EVariantInvalidOpError error
VarBadIndexError |  | Raise an EVariantBadIndexError error
VarArrayLockedError |  | Raise an EVariantArrayLockedError error